FUNCTION TEMPL(3)

NAME
boost::algorithm::erase_regex - Erase regex algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/regex.hpp>
template<typename SequenceT, typename CharT, typename RegexTraitsT>
  void erase_regex(SequenceT & Input,
                   const basic_regex< CharT, RegexTraitsT > & Rx,
                   match_flag_type Flags = match_default);

DESCRIPTION

Remove a substring matching given regex from the input. The input string is modified in-place.

Parameters:

    Flags
        Regex options

    Input
        An input string

    Rx
        A regular expression